Bug 1479707 - Review Request: perl-Test-Exit - Test that some code calls exit without terminating testing
Review Request: perl-Test-Exit - Test that some code calls exit without termi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1479602
  Show dependency treegraph
 
Reported: 2017-08-09 04:51 EDT by Petr Pisar
Modified: 2017-08-14 08:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Test-Exit-0.11-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 08:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2017-08-09 04:51:45 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Test-Exit/perl-Test-Exit.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Test-Exit/perl-Test-Exit-0.11-1.fc27.src.rpm
Description:
Test::Exit Perl module provides some simple tools for testing code that might
call exit(), providing you with the status code without exiting the test file.

Fedora Account System Username: ppisar
Comment 1 Jitka Plesnikova 2017-08-09 06:18:59 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Test-Exit-0.11-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Return::MultiLevel)
      1 perl(strict)
      1 perl(Test::Builder::Module) >= 0.86
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Test-Exit-0.11-1.fc27.noarch.rpm | sort | uniq -c
      1 perl(Test::Exit) = 0.11
      1 perl-Test-Exit = 0.11-1.fc27
Binary provides are Ok.

$ rpmlint ./perl-Test-Exit*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

The package looks good.
Approved.
Comment 2 Ralph Bean 2017-08-10 13:02:47 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Test-Exit
Comment 3 Ralph Bean 2017-08-10 13:03:38 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Test-Exit
Comment 4 Petr Pisar 2017-08-14 08:54:35 EDT
Thank you for the review.

Note You need to log in before you can comment on or make changes to this bug.